package com.hzya.frame.sysnew.integratedForegroundTask.entity;

import cn.dev33.satoken.stp.StpUtil;
import com.hzya.frame.sysnew.integratedForegroundTaskDetail.entity.SysIntegratedForegroundTaskDetailEntity;
import com.hzya.frame.sysnew.integratedForegroundTaskParameter.entity.SysIntegratedForegroundTaskParameterEntity;
import com.hzya.frame.uuid.UUIDUtils;
import com.hzya.frame.web.entity.BaseEntity;

import java.util.Date;
import java.util.List;

/**
 * 集成前台任务主表(SysIntegratedForegroundTask)实体类
 *
 * @author makejava
 * @since 2024-03-18 14:35:02
 */
public class SysIntegratedForegroundTaskEntity extends BaseEntity {
 
  /**  工坊名称 */
   private String workshopName;
  /**  插件ID */
   private String plugId;
    /**  插件名称 */
    private String plugName;
  /**  备注 */
   private String remark;

   private List<SysIntegratedForegroundTaskDetailEntity> sysIntegratedForegroundTaskDetailEntityList;
   private List<SysIntegratedForegroundTaskParameterEntity> sysIntegratedForegroundTaskParameterEntities;

    public String getWorkshopName() {
        return workshopName;
    }

    public void setWorkshopName(String workshopName) {
        this.workshopName = workshopName;
    }

    public String getPlugId() {
        return plugId;
    }

    public void setPlugId(String plugId) {
        this.plugId = plugId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<SysIntegratedForegroundTaskDetailEntity> getSysIntegratedForegroundTaskDetailEntityList() {
        return sysIntegratedForegroundTaskDetailEntityList;
    }

    public void setSysIntegratedForegroundTaskDetailEntityList(List<SysIntegratedForegroundTaskDetailEntity> sysIntegratedForegroundTaskDetailEntityList) {
        this.sysIntegratedForegroundTaskDetailEntityList = sysIntegratedForegroundTaskDetailEntityList;
    }

    public String getPlugName() {
        return plugName;
    }

    public void setPlugName(String plugName) {
        this.plugName = plugName;
    }

    public List<SysIntegratedForegroundTaskParameterEntity> getSysIntegratedForegroundTaskParameterEntities() {
        return sysIntegratedForegroundTaskParameterEntities;
    }

    public void setSysIntegratedForegroundTaskParameterEntities(List<SysIntegratedForegroundTaskParameterEntity> sysIntegratedForegroundTaskParameterEntities) {
        this.sysIntegratedForegroundTaskParameterEntities = sysIntegratedForegroundTaskParameterEntities;
    }

    public void setCreate() {
        this.setId(UUIDUtils.getUUID());
        this.setSts("Y");
        this.setCreate_user_id(StpUtil.getLoginIdAsString());
        this.setModify_user_id(StpUtil.getLoginIdAsString());
        this.setCreate_time(new Date());
        this.setModify_time(new Date());
    }
    //修改信息
    public void setUpdate() {
        this.setModify_user_id(StpUtil.getLoginIdAsString());
        this.setModify_time(new Date());
    }
}

